{% extends "base.html" %}
{% load planner_common %}
{% load i18n humanize %}
{% load render_table from django_tables2 %}
{% block content %}
  <h1>{% trans "Rejected Applications" %}</h1>
  <form method="get" id="application_list_filter_form">
    <div style="display: flex;
                gap: 30px;
                align-items: center;
                flex-wrap: wrap">
      <div class="search-box" style="flex-basis: 500px;">
        <input type="text"
               name="search"
               value="{{ search }}"
               id="search"
               class="search{% if search %} hasValue{% endif %}"
               onInput="this.classList.toggle('hasValue', this.value)">
        <button type="submit" id="search_button" class="button button-primary">
          <i class="fas fa-search"></i>
        </button>
        <button alt="clear search"
                type="reset"
                onclick="document.getElementById('search').value = ''; this.form.submit()">
          {% inline_svg "vendor/material-icons/close.svg" %}
        </button>
      </div>
      <select id="position-filter"
              class="dropdown filter"
              name="position"
              onchange="this.form.submit()">
        <option value="">All Positions</option>
        {% for position in positions_without_group %}
          <option value="{{ position.key }}"
                  {% if position == selected_position %}selected{% endif %}>{{ position.name }}</option>
        {% endfor %}
        {% for group_label, positions in positions_with_group.items %}
          <optgroup label="{{ group_label }}">
            {% for position in positions %}
              <option value="{{ position.key }}"
                      {% if position == selected_position %}selected{% endif %}>{{ position.name }}</option>
            {% endfor %}
          </optgroup>
        {% endfor %}
      </select>
      <input hidden name="sort" value="{{ sort_filter }}" />
    </div>
  </form>
  <div class="table-with-tabs">
    <div class="tabs">
      <a href="{% url "application_list" %}">Open</a>
      <a href="{% url "application_list_rejected" %}" class="active">Rejected</a>
    </div>
    {% render_table table %}
  </div>
{% endblock %}
